html {
    scroll-behavior: smooth;
}

#forum-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
  
}

.main-box-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    margin-top: 50px;
}

.box-replies-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 80%;
}

.box-replies-container div.reply-box {
    margin-top: 2px;
}

.reply-title {
    letter-spacing: 1px;
    margin-bottom: 0px;
    margin-top: 15px;
    padding: 10px 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.reply-title h2 {
    color: white;
    font-size: 2.2rem;
    font-weight: 500;
    text-transform: uppercase;
    background-color: #202020;
    padding: 5px 15px;
}

.hidden {
    visibility: hidden;
}

.forum-box {
    width: 500px;
    box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
    background-color: white;
    padding: 10px;
    margin: 20px;
    cursor: pointer;

}

.reply-box {
    width: 100%;
    box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
    background-color: white;
    padding: 10px;
    margin: 20px;
    cursor: pointer;

}

.reply-box:hover {
    transform: translateX(20px);
    transition: all ease 1s;
}

.forum-box a {
    text-decoration: none;
    color: black;
}

.box-top {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
}

.box-top-reply {
    margin-top: 0px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

#profile {
    display: flex;
    /*float: left;*/
    justify-content: space-between;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    font-size: 0.8rem;
    margin-top: 10px;
}

#user-name {
    float: left;
}

#tanggal {
    float: right;
}

.description {
    font-size: 0.9rem;
    color: black;
}

hr {
    margin-top: 3px;
}

.forum-box:hover {
    transform: translateY(-10px);
    transition: all ease 0.6;
}

/*BUTTON*/
.button {
    display: flex;
    height: 50px;
    padding: 0;
    background: #009578;
    border: none;
    outline: none;
    border-radius: 5px;
    overflow: hidden;
    font-family: "Quicksand", sans-serif;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
    text-decoration: none;
}

.button:hover {
    background: #008168;
}

.button:active {
    background: #006e58;
}

.button__text,
.button__icon {
    display: inline-flex;
    align-items: center;
    padding: 0 24px;
    color: #fff;
    height: 100%;
}

.button__icon {
    font-size: 1.5em;
    background: rgba(0, 0, 0, 0.08);
}

.button-reply {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
}

.form-replies {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 80%;
    margin-bottom: 50px;
}


.form-wrapper {

    width: 50%;
    box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
    background-color: white;
    padding: 10px;
    margin: 20px;
    cursor: pointer;

}

.form-wrapper:hover {
    transform: translateY(10px) scale(1.2);
    transition: all ease 1s;
}

.form-top {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
}

#button-form {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

.form-field {
    width: 250px;
    display: block;
    padding: 5px;
}

.back-top {
    display: float;
    width: 100%;
}



#myBtn {
    float: right;
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    z-index: 99;

}


@media(max-width: 1080px) {
    .forum-box {
        width: 45%;
        padding: 10px;
    }
}

@media(max-width: 879px) {
    .forum-box {
        width: 100%;
    }

    .form-wrapper{
        width: 80%;
    }
    .forum-section-heading h1 {
        font-size: 1.4rem;
    }
}

@media only screen and (max-width: 450px) {
    .forum-box {
        width: 100%;
    }

    .form-wrapper {
        width: 100%;

    }
    .form-wrapper:hover{
        transform: none;
    }

    .form-replies {
        margin: auto;
        width: 100%;
    }

    .box-replies-container{
        width: 90%;

    }

    #myBtn {
        float: right;
        position: fixed;
        bottom: 40%;
        right: 20px;
        display: none;

    }

    .topic {
        font-size: 0.7rem;
    }
}